﻿using FarPoint.Win.Spread;
using GrapeCity.CalcEngine;
using System;
using System.Data.SqlClient;
using System.IO;
using System.Windows.Forms;

namespace TestSpread12
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();

            fpSpread1.AddCustomFunction(new RIK_AC());

            string fileXLPath = @"..\..\test.xlsx";
            
            Stream stream = File.OpenRead(fileXLPath);
            fpSpread1.OpenExcel(stream);

        }
        
        private void Recalculate_Click(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.RecalculateAll();
        }
    }
   
    [Serializable()]
    public class RIK_AC : Function
    {
        public RIK_AC() : base("_xll.Assistant.XL.RIK_AC", 1, 30, FunctionAttributes.Number) { }
        
        #region Methods

        protected override void Evaluate(IArguments args, IValue result)
        {
            try
            {
                result.SetValue(0);
            }
            catch (Exception ex)
            {

            }
        }

        #endregion
    }



 }
